<?php

use PHPMailer\PHPMailer\Exception;
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
 
require_once"liblery.php";
require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';
class SMTPUtils
{
    // Declare the SMTP settings as private properties
    private $username;
    private $password;
    private $host;
    private $sendfrom;
    private $fromname;
    private $replyto;
    private $port;
    private $img;

    public function __construct($username, $password, $host,$sendfrom, $fromname, $replyto , $port ,$img)
    {
        $this->username = $username;
        $this->password = $password;
        $this->host = $host;
        $this->sendfrom = $sendfrom;
        $this->fromname = $fromname;
        $this->port = $port;
        $this->replyto = $replyto;
        $this->img = $img;

    }


    // ... (Getter and setter methods)

    public function sendEmail($to, $subject, $message)
    {
        
        $mail = new PHPMailer(true);
        try {
       
            // Set SMTP settings
            $mail->isSMTP();
            $mail->setFrom($this->username,$this->fromname);
            $mail->addAddress($to);
            $mail->addReplyTo($this->replyto);
            $mail->isHTML(true);
            $mail->WordWrap = 70;
            $mail->Host = $this->host;
            $mail->SMTPAuth = true;
            $mail->Username = $this->username;
            $mail->Password = $this->password;
            $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
            $mail->SMTPDebug = 0;
            if($this->host != 'smtp.gmail.com'){
              $mail->SMTPSecure = 'ssl';  
            }
          
            $mail->Port = $this->port;
            $mail->addEmbeddedImage("upload/".$this->img,'image_cid','teams');
            $mail->Subject = $subject;
            $mail->Body = $message;
           // 
         
            if ($mail->send()) {
                
                return true;
            } else {
                
                return false;
            }
        } catch (Exception $e) {
            return false;
        }
    }
    
    

    public function custom_mail($msg, $fname ,$title,$url,$name){

                $html = <<<HTML
                <!DOCTYPE html>
                <html>
                <head>
                <title></title>
                <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
                <meta name='viewport' content='width=device-width, initial-scale=1'>
                <meta http-equiv='X-UA-Compatible' content='IE=edge' />
                <style type='text/css'>
                    @media screen {
                        @font-face {
                            font-family: 'Lato';
                            font-style: normal;
                            font-weight: 400;
                            src: local('Lato Regular'), local('Lato-Regular'), url(https://fonts.gstatic.com/s/lato/v11/qIIYRU-oROkIk8vfvxw6QvesZW2xOQ-xsNqO47m55DA.woff) format('woff');
                        }
                
                        @font-face {
                            font-family: 'Lato';
                            font-style: normal;
                            font-weight: 700;
                            src: local('Lato Bold'), local('Lato-Bold'), url(https://fonts.gstatic.com/s/lato/v11/qdgUG4U09HnJwhYI-uK18wLUuEpTyoUstqEm5AMlJo4.woff) format('woff');
                        }
                
                        @font-face {
                            font-family: 'Lato';
                            font-style: italic;
                            font-weight: 400;
                            src: local('Lato Italic'), local('Lato-Italic'), url(https://fonts.gstatic.com/s/lato/v11/RYyZNoeFgb0l7W3Vu1aSWOvvDin1pK8aKteLpeZ5c0A.woff) format('woff');
                        }
                
                        @font-face {
                            font-family: 'Lato';
                            font-style: italic;
                            font-weight: 700;
                            src: local('Lato Bold Italic'), local('Lato-BoldItalic'), url(https://fonts.gstatic.com/s/lato/v11/HkF_qI1x_noxlxhrhMQYELO3LdcAZYWl9Si6vvxL-qU.woff) format('woff');
                        }
                    }
                
                    /* CLIENT-SPECIFIC STYLES */
                    body,
                    table,
                    td,
                    a {
                        -webkit-text-size-adjust: 100%;
                        -ms-text-size-adjust: 100%;
                    }
                
                    table,
                    td {
                        mso-table-lspace: 0pt;
                        mso-table-rspace: 0pt;
                    }
                
                    img {
                        -ms-interpolation-mode: bicubic;
                    }
                
                    /* RESET STYLES */
                    img {
                        border: 0;
                        height: auto;
                        line-height: 100%;
                        outline: none;
                        text-decoration: none;
                    }
                
                    table {
                        border-collapse: collapse !important;
                    }
                
                    body {
                        height: 100% !important;
                        margin: 0 !important;
                        padding: 0 !important;
                        width: 100% !important;
                    }
                
                    /* iOS BLUE LINKS */
                    a[x-apple-data-detectors] {
                        color: inherit !important;
                        text-decoration: none !important;
                        font-size: inherit !important;
                        font-family: inherit !important;
                        font-weight: inherit !important;
                        line-height: inherit !important;
                    }
                
                    /* MOBILE STYLES */
                    @media screen and (max-width:600px) {
                        h1 {
                            font-size: 32px !important;
                            line-height: 32px !important;
                        }
                    }
                
                    /* ANDROID CENTER FIX   */
                    div[style*='margin: 16px 0;'] {
                        margin: 0 !important;
                    }
                
                </style>
                </head>
                
                <body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
                <!-- HIDDEN PREHEADER TEXT -->
                <table border='0' cellpadding='0' cellspacing='0' width='100%'>
                    <!-- LOGO -->
                    <tr>
                        <td bgcolor='darkblue' align='center'>
                            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                                <tr>
                                
                                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'>
                                    <img src="cid:image_cid"  style="height: 100px;filter: drop-shadow(3px -1px 3px #01103e);">
                                </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td bgcolor='darkblue' align='center' style='padding: 0px 10px 0px 10px;'>
                            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                                <tr>
                                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                                        <h1 style='font-size: 48px; font-weight: 400; margin: 2;'> $title </h1> 
                                          </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td bgcolor='aliceblue' align='center' style='padding: 0px 15px 0px 15px;'>
                            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                                <tr>
                                    <td bgcolor='#ffffff' align='center' style='padding: 20px 30px 40px 30px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 18px; font-weight: 400; line-height: 25px;'>
                                 
                                        <br>
                                        <p style='margin: 0;padding: 0px 20px;text-align: left'>$msg </p>                           
                                
                
                                    </td>
                                </tr>
                              <!-- COPY -->
                          
                            
                                <tr>
                                    <td bgcolor='#ffffff' align='center' style='padding: 0px 30px 20px 30px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 18px; font-weight: 400; line-height: 25px;'>
                                        <p style='margin: 0;padding: 0px 20px;text-align: left'>Thank you for your cooperation , You may visit  of our <a href="https://$url">$name</a>. </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td bgcolor='#ffffff' align='center' style='padding: 0px 30px 40px 30px; border-radius: 0px 0px 4px 4px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 18px; font-weight: 400; line-height: 25px;'>
                                        <p style='margin: 0; padding: 0px 20px;text-align: left'><b><i>From,<br> $name <i></b></p>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td bgcolor='aliceblue' align='center' style='padding: 30px 10px 0px 10px;'>
                            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                                <tr>
                                    <td bgcolor='darkblue' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 18px; font-weight: 400; line-height: 25px;'>
                                        <h2 style='font-size: 20px; font-weight: 400; color: #fff; margin: 0;'>Need more help?</h2>
                                        <p style='margin: 0;'><a href='https://$url'  style='color: #FFA73B;'>We&rsquo;re here to help you out</a></p>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td bgcolor='aliceblue' align='center' style='padding: 0px 10px 0px 10px;'>
                            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                                <tr>
                                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                                        <p style='margin: 0;'>If these emails get annoying, please feel free to <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>unsubscribe</a>.</p>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                </body>
                
                </html>     
HTML;
                    return $html;
                }
}

 
// ... (Rest of the class)

class Utilsclass
{
    public function timeCounter($tin)
    {
        $currentTime = new DateTime();
        $start = new DateTime($tin);
        $interval = $currentTime->diff($start);
        $days_between = $interval->days;
        $hours = $interval->h;
        $minutes = $interval->i;
        $seconds = $interval->s;

        return array($days_between, $hours, $minutes, $seconds);
    }
   

}

?>